
#include "parsehtm.h"
#include "handler.h"
#include <stdio.h>

void main(int argc, char *argv[])
{
	String output;
	
	initializeHtmlParsingLibrary();
	
	dict_setValueForKey(handlerDict,"DIRECTIVE",directiveHandler);
	dict_setValueForKey(handlerDict,"directive.insert",insertHandler);
	
	output = parseHtml("dirin_c.htm");
	
	if(output && output->string)
	{
		printf("Content-type: text/html\n\n");
		fwrite(output->string,sizeof(char),strlen(output->string),stdout);
		printf("\n");
		
		string_free(output);
	}
	
	exit(0);
}